# -*- coding: utf-8 -*-
from setuphelpers import *

uninstallkey = []


def install():
    print("Enabling administrative shares - reboot needed to be effective")
    registry_set(HKEY_LOCAL_MACHINE,r'SYSTEM\CurrentControlSet\Services\LanmanServer\Parameters','AutoShareWks',1)


def audit():
    smb_comp_status = registry_readstring(HKEY_LOCAL_MACHINE,r'SYSTEM\CurrentControlSet\Services\LanmanServer\Parameters','AutoShareWks')
    if smb_comp_status == 0:
        print("WARNING: The Administrative Shares are actually disabled.")
        return "WARNING"
    elif smb_comp_status == 1:
        print("OK: The Administrative Shares are actually enabled.")
        return "OK"
    else:
        print("WARNING: The Administrative Shares option is not applied.")
        return "WARNING"


def update_package():
    # Initializing variables
    version = control.get_software_version()

    # Incrementing version of the package
    control.version = '%s-%s'%(version,int(control.version.split('-')[-1])+1)
    control.save_control_to_wapt()
    print('Changing package version to: %s in WAPT\\control' % control.version)

